Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.auth
Class PasswordStore

    java.lang.Object
      org.jdesktop.swingx.auth.PasswordStore

    public abstract class PasswordStore

extends java.lang.Object

PasswordStore specifies a mechanism to store passwords used to authenticate using the LoginService. The actual mechanism used to store the passwords is left up to the implementation.

Author:
  Bino George, Jonathan Giles

Constructor Summary
`PasswordStore()`

Method Summary
`abstract char[]` | `get(java.lang.String username, java.lang.String server)` Fetches the password for a given server and username.
`abstract void` | `removeUserPassword(java.lang.String username)` This should attempt to remove the given username from the password store, as well as any associated password.
`abstract boolean` | `set(java.lang.String username, java.lang.String server, char[] password)` Saves a password for future use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasswordStore

    public PasswordStore()

Method Detail

### set

    public abstract boolean set(java.lang.String username,
                                java.lang.String server,
                                char[] password)

  Saves a password for future use.

  Parameters:
    `username` - username used to authenticate.
    `server` - server used for authentication
    `password` - password to save. Password can't be null. Use empty array for empty password.

### get

    public abstract char[] get(java.lang.String username,
                               java.lang.String server)

  Fetches the password for a given server and username.

  Parameters:
    `username` - username
    `server` - server
  Returns:
    `null` if not found, a character array representing the password otherwise. Returned array can be empty if the password is empty.

### removeUserPassword

    public abstract void removeUserPassword(java.lang.String username)

  This should attempt to remove the given username from the password store, as well as any associated password.

  Parameters:
    `username` - The username to remove

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.